import org.garret.consus.*;
import java.sql.*;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import java.util.Hashtable;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Version extends Persistent implements Printable {
    String sLabel;
    int majorVersionNumber;
    int minorVersionNumber;
    Date released;
    String sComment;
    Bug setBugs[];
    Version pNext;

    public void print(HttpConnection con) throws IOException {
        con.print("<OPTION VALUE=\"" + getVersionString() + "\">Version " + getVersionString() + " " +
            BugDB.encodeHTML(sLabel) + " " + released + "</OPTION>");
    }

    int getVersion() {
        return majorVersionNumber * 100 + minorVersionNumber;
    }

    String getVersionString() {
        return "" + majorVersionNumber + "." + minorVersionNumber;
    }
}
