/* Consus - Pure Java Object Relational Database Management System
 * Exception thrown by assert failure
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/** Exception raised by <code>Assert</code> class when assertion has failed.
 *
 * @see Assert
 */
public class AssertionFailed extends Error {
    AssertionFailed() { 
        super("Assertion failed");
    }

    AssertionFailed(String description) { 
        super("Assertion '" + description + "' failed");
    }
}
