/* Consus - Pure Java Object Relational Database Management System
 * Exception is raised when an non-existant column name is specifed in a query
 * Created by Konstantin Knizhnik, Feb 2000.
 */

package org.garret.consus;

/**
 * Exception is raised when an non-existant column name is specifed in a query
 */
public class ConsusColumnNotFoundError extends java.sql.SQLException { 
    /** 
     * Exception constructor
     *
     * @param column undefined column name
     */
    public ConsusColumnNotFoundError(String column) { 
	super("Column " + column + " not present in the table");
    }
}
