/* Consus - Pure Java Object Relational Database Management System
 * Exception error by compiler in case of error
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Exception error by compiler in case of error
 */
public class ConsusCompileError extends java.sql.SQLException { 
    /**
     * Compile error exception constructor
     * 
     * @param msg message text
     * @param pos position in the string (starting from 1)
     */
    public ConsusCompileError(String msg, int pos) { 
	super(msg + " in position " + (pos+1));
    }
}
