/* Consus - Pure Java Object Relational Database Management System
 * An Exception is thrown when execution of update or insert statements
 * violates the unique constraint
 * Created by Konstantin Knizhnik, Dec 2000.
 */
package org.garret.consus;

import java.util.Properties;

/**
 * Exception thrown on client site when connection is refused by the server
 */
public class ConsusDuplicateException extends java.sql.SQLException { 
    /**
     * Constructor
     */
    public ConsusDuplicateException() { 
	super("UNIQUE constraint is violated");
    }
}
