/* Consus - Pure Java Object Relational Database Management System
 * Exception thrown when a method, not implemented in Consus, is called
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Exception thrown when a method, not implemented in Consus, is called
 */
public class ConsusNotImplemented extends java.sql.SQLException { 
    /**
     * Constructor of the exception
     * @param method name which has not been implemented
     */
    public ConsusNotImplemented(String method) {
        super("Method " + method + " is not currently implemented by Consus");
    } 
}
