/* Consus - Pure Java Object Relational Database Management System
 * Exception thrown during the execution of an JSQL statement.
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Exception thrown by Consus if something wrong occurs during a statement execution.
 */
public class ConsusRuntimeError extends java.sql.SQLException { 
    /**
     * Exception constructor.
     * @param msg message text
     */
    public ConsusRuntimeError(String msg) { 
	super(msg);
    }
}
