/* Consus - Pure Java Object Relational Database Management System
 * MetaTable object (used for getting runtime information about table format)
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Table descriptor as it is stored in the database.
 */
public class MetaTable { 
    public String    name;
    public MetaField fields[];
    public int       nColumns;
    public int       nComponents;
    public int       firstRow;
    public int       lastRow;
    public int       superClass;
    public int       fixedSize;
    public int       attr;
    public int       nRows;
    public long      timestamp;
    public long      reserved;
}

