/* Consus - Pure Java Object Relational Database Management System
 * Global transaction identifier
 * Created by Konstantin Knizhnik, Mar 2001.
 */
package org.garret.consusx;

import javax.transaction.xa.*;

public class ConsusXid implements Xid 
{ 
    public byte[] getBranchQualifier() 
    { 
	return bqual;
    }


    public int getFormatId() 
    {
	return fmtid;
    }
    
    public byte[] getGlobalTransactionId() 
    {
	return gtrid;
    }

    ConsusXid(int fmtid, byte[] gtrid, byte[] bqual)
    {
	this.gtrid = gtrid;
	this.bqual = bqual;
	this.fmtid = fmtid;
    }

    byte[] gtrid;
    byte[] bqual;
    int    fmtid;
}
    
