/* Consus - Pure Java Object Relational Database Management System
 * Node for CREATE INDEX statement
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;

class AddIndexNode extends StmtNode { 
    TableDescriptor table;
    FieldDescriptor field;

    int executeStmt(ConsusStatement stmt) throws SQLException { 
	stmt.db.addIndex(field);
	stmt.db.endStatement();
	return 0;
    }

    AddIndexNode(TableDescriptor desc, FieldDescriptor fd) { 
	super(tpVoid, opCreateIndex);
	table = desc;
	field = fd;
    }
}
