/* Consus - Pure Java Object Relational Database Management System
 * Node for DROP TABLE statement
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;
    

class DropTableNode extends StmtNode { 
    TableDescriptor table;

    int executeStmt(ConsusStatement stmt) throws SQLException { 
	stmt.db.dropTable(table);
	stmt.db.endStatement();
	return 0;
    }
    DropTableNode(TableDescriptor desc) { 
	super(tpVoid, opDropTable);
	table = desc;
    }
}
