/* Consus - Pure Java Object Relational Database Management System
 * Node for integer literal
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;


class IntLiteralNode extends ExprNode { 
    long value;

    String dump() { 
	return "" + value;
    }
    boolean equalsNode(ExprNode node) { 
	return (node instanceof IntLiteralNode) && ((IntLiteralNode)node).value == value;
    }

    long evaluateInt(ConsusStatement stmt) throws SQLException { 
	return value;
    }
    
    IntLiteralNode(long value) { 
	super(tpInt, opIntConst);
	this.value = value;
    }
}
