/* Consus - Pure Java Object Relational Database Management System
 * Message format for communication between server and client
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;


class Message implements java.io.Serializable { 
    static final byte REQ_LOGIN = (byte)0;
    static final byte REQ_CLOSE = (byte)1;
    static final byte REQ_COMMIT = (byte)2;
    static final byte REQ_SUBCOMMIT = (byte)3;
    static final byte REQ_ROLLBACK = (byte)4;
    static final byte REQ_EXEC = (byte)5;
    static final byte REQ_EXEC_QUERY = (byte)6;
    static final byte REQ_EXEC_UPDATE = (byte)7;
    static final byte REQ_EXEC_PARAM = (byte)8;
    static final byte REQ_EXEC_QUERY_PARAM = (byte)9;
    static final byte REQ_EXEC_UPDATE_PARAM = (byte)10;
    static final byte REQ_BLOB_POSITION = (byte)11;
    static final byte REQ_BLOB_SEGMENT = (byte)12;
    static final byte REQ_CLOB_POSITION = (byte)13;
    static final byte REQ_CLOB_SEGMENT = (byte)14;

    static final byte REQ_PREPARE  = (byte)15;
    static final byte REQ_COMPLETE = (byte)16;
    static final byte REQ_RECOVER  = (byte)17;

    static final byte REQ_TABLES  = (byte)18;
    static final byte REQ_COLUMNS  = (byte)19;
    static final byte REQ_PRIMARY_KEYS  = (byte)20;
    static final byte REQ_IMPORTED_KEYS  = (byte)21;
    static final byte REQ_EXPORTED_KEYS  = (byte)22;
    static final byte REQ_CROSSREFS= (byte)23;
    static final byte REQ_INDICES = (byte)24;

    static final byte REP_LOGIN = (byte)100;
    static final byte REP_QUERY = (byte)101;
    static final byte REP_UPDATE  = (byte)102;
    static final byte REP_ERROR = (byte)103;
    static final byte REP_CLOSE = (byte)104;
    static final byte REP_OK = (byte)105;
    static final byte REP_BLOB_POSITION = (byte)106;
    static final byte REP_BLOB_SEGMENT = (byte)107;
    static final byte REP_CLOB_POSITION = (byte)108;
    static final byte REP_CLOB_SEGMENT = (byte)109;
    static final byte REP_RECOVERED = (byte)110;

    static final byte REP_TABLES  = (byte)118;
    static final byte REP_COLUMNS  = (byte)119;
    static final byte REP_PRIMARY_KEYS  = (byte)120;
    static final byte REP_IMPORTED_KEYS  = (byte)121;
    static final byte REP_EXPORTED_KEYS  = (byte)122;
    static final byte REP_CROSSREFS= (byte)123;
    static final byte REP_INDICES = (byte)124;

    byte   tag;
    Object opd1;
    Object opd2;
    int    opd3;
    int    opd4;
}






