/* Consus - Pure Java Object Relational Database Management System
 * Node for floating point literal
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;


class RealLiteralNode extends ExprNode { 
    double value;
    
    String dump() { 
	return "" + value;
    }
    boolean equalsNode(ExprNode node) { 
	return (node instanceof RealLiteralNode) && ((RealLiteralNode)node).value == value;
    }

    double evaluateReal(ConsusStatement stmt) throws SQLException { 
	return value;
    }
    
    RealLiteralNode(double value) { 
	super(tpReal, opRealConst);
	this.value = value;
    }
}


