set SAVE_CLASSPATH=%CLASSPATH%
set CLASSPATH=.;..\lib\consus.jar;%CLASSPATH%

del *.dbs
java Guess < data\guess.in > data\guess.out
java Guess < data\guess2.in >> data\guess.out
diff data\guess.out data\guess.std
java org.garret.consus.JSQL guess.dbs < data\jsql.in > data\jsql.out
diff -w data\jsql.out data\jsql.std

del *.dbs
java GuessPO < data\guess.in > data\guess.out
java GuessPO < data\guess2.in >> data\guess.out
diff data\guess.out data\guess.std

del *.dbs
java GuessPO ConsusConnection < data\guess.in > data\guess.out
java GuessPO ConsusConnection < data\guess2.in >> data\guess.out
diff data\guess.out data\guess.std

java Test > data\test.out
java Test >> data\test.out
diff data\test.out data\test.std
del *.dbs

java TestBlob TestBlob.dbs < data\testblob.in > data\testblob.out
diff TestBlob.000 TestBlob.java
diff data\testblob.out data\testblob.std
java org.garret.consus.Loader TestBlob2.dbs TestBlob.dbs
java TestBlob TestBlob2.dbs < data\testblob2.in > data\testblob2.out
diff TestBlobOO.000 TestBlobOO.java
diff data\testblob2.out data\testblob2.std
del *.dbs,*.000


java TestBlobOO < data\testblob.in > data\testblob.out
diff TestBlob.000 TestBlob.java
diff data\testblob.out data\testblob.std
del *.dbs,*.000

copy TestEval.1 TestEval.java
javac TestEval.java
java TestEval 1 > data\testeval.out
copy TestEval.2 TestEval.java
javac TestEval.java
java TestEval 2 >> data\testeval.out
copy TestEval.1 TestEval.java
javac TestEval.java
java TestEval 3 >> data\testeval.out
copy TestEval.2 TestEval.java
javac TestEval.java
java TestEval 4 >> data\testeval.out
diff data\testeval.out data\testeval.std
del *.dbs,TestEval.java

java TestOO > data\testoo.out
diff data\testoo.out data\testoo.std
del *.dbs

java TestJoin < data\testjoin.in > data\testjoin.out
java org.garret.consus.Loader tmp.dbs testjoin.dbs 
copy data\testjoin.out data\testjoin2.out
java TestJoin < data\testjoin2.in >> data\testjoin.out
diff data\testjoin.out data\testjoin.std
del testjoin.dbs
java org.garret.consus.Loader testjoin.dbs tmp.dbs 
java org.garret.consus.JSQL testjoin.dbs < data\setattr.sql
java TestJoin < data\testjoin2.in >> data\testjoin2.out
diff data\testjoin2.out data\testjoin.std
del *.dbs


java TestConstraints < data\testconst.in > data\testconst.out
diff data\testconst.out data\testconst.std
rm *.dbs

java org.garret.consus.JSQL testalt.dbs < data\testalt.in > data\testalt.out
diff -w data\testalt.out data\testalt.std
del *.dbs

java TestCrossRef > data\testcross.out
diff -w data\testcross.out data\testcross.std
del *.dbs

java org.garret.consus.JSQL SP.dbs < data\SP.sql > data\SP.out
diff -w data\SP.out data\SP.std
del *.dbs


java org.garret.consus.Loader test.dbs data\Orders.dbf
java org.garret.consus.Loader test.dbs data\Orders.txt
java org.garret.consus.JSQL test.dbs < data\orders.in > data\orders.out
diff -w data\orders.out data\orders.std
del *.dbs


java TestPOS < data\testpos.in > data\testpos.out
java TestPOS < data\testpos2.in >> data\testpos.out
diff data\testpos.out data\testpos.std
del *.dbs


java TestArr
del *.dbs

java TestAlloc
del *.dbs


java Contract jdbc:consus:contract1.dbs jdbc:consus:contract.dbs < data\contract1.in > data\contract.out
java Contract jdbc:consus:contract2.dbs jdbc:consus:contract.dbs < data\contract2.in >> data\contract.out
java Contract jdbc:consus:contract1.dbs jdbc:consus:contract.dbs < data\contract3.in >> data\contract.out
java Contract jdbc:consus:contract2.dbs jdbc:consus:contract.dbs < data\contract4.in >> data\contract.out
java Contract jdbc:consus:contract1.dbs jdbc:consus:contract.dbs < data\contract5.in >> data\contract.out
diff data\contract.out data\contract.std
del *.dbs

java JDBCBench -driver org.garret.consus.ConsusDriver -url jdbc:consus:tpcb.dbs -init -tpc 100 -clients 1 -v
del *.dbs
java JDBCBench -driver org.garret.consus.ConsusDriver -url jdbc:consus:tpcb.dbs -init -tpc 5 -clients 100 -v
del *.dbs

java TestIndexedMerge
del *.dbs

java TestSer
del *.dbs

java TestBtree
del *.dbs

java TestPerf
java TestPerf
del *.dbs

java TestSync 2 cooperative
java TestSync 4
del *.dbs

java -Dfile="testsync.raid0" TestSync 4
del *.dbs

java -Dfile="testsync.raid1" TestSync 2
del *.dbs

java -Dfile="testsync.mfile" TestSync 3
del *.dbs


set CLASSPATH=%SAVE_CLASSPATH%
