@echo off
setlocal

IF %ANT_HOME%!==! SET ANT_HOME=c:\jakarta-ant-1.3
IF NOT EXIST %ANT_HOME%\bin\ant.bat SET ANT_HOME=c:\ant
IF NOT EXIST %ANT_HOME%\bin\ant.bat goto noant

IF %TOMCAT_HOME%!==! SET TOMCAT_HOME=c:\jakarta-tomcat
IF NOT EXIST %TOMCAT_HOME%\bin\tomcat.bat goto notomcat

IF %JAVA_HOME%!==! SET JAVA_HOME=c:\jdk1.3
IF NOT EXIST %JAVA_HOME%\jre\lib\rt.jar goto nojava

IF %J2EE_HOME%!==! SET J2EE_HOME=C:\j2sdkee1.3
IF NOT EXIST %J2EE_HOME%\lib\j2ee.jar goto nojava2ee

SET PATH=%PATH%;%ANT_HOME%\bin\
echo ant -Dtomcat.home=%TOMCAT_HOME% -Dj2ee.home=%J2EE_HOME% -Djdk.home=%JAVA_HOME% %*

ant -Dtomcat.home=%TOMCAT_HOME% -Dj2ee.home=%J2EE_HOME% -Djdk.home=%JAVA_HOME% %*
goto end

rem java org.apache.tools.ant.Main -Dtomcat.home=%TOMCAT_HOME%
rem set CLASSPATH=%_CLASSPATH%

:noant
echo Please set variable ANT_HOME to point to Ant 1.3
goto end

:notomcat
echo Please set variable TOMCAT_HOME to point to Tomcat 3.1.1
goto end

:nojava
echo Please set variable JAVA_HOME to point to Java2 SKD home
goto end

:nojava2ee
echo Please set variable J2EE_HOME to point to Java2EE SDK home
goto end

:end
endlocal
