@echo off
setlocal

IF %ANT_HOME%!==! SET ANT_HOME=c:\jakarta-ant-1.3
IF NOT EXIST %ANT_HOME%\bin\ant.bat SET ANT_HOME=c:\ant
IF NOT EXIST %ANT_HOME%\bin\ant.bat goto noant

IF %TOMCAT_HOME%!==! SET TOMCAT_HOME=..\..\jakarta-tomcat
IF NOT EXIST %TOMCAT_HOME%\bin\startup.bat SET TOMCAT_HOME=c:\jakarta-tomcat
IF NOT EXIST %TOMCAT_HOME%\bin\startup.bat goto notomcat

IF %CONSUS_HOME%!==! SET CONSUS_HOME=..\..
IF NOT EXIST %CONSUS_HOME%\lib\consus.jar goto noconsus

rem Execute ANT to perform the requested build target
SET PATH=%PATH%;%ANT_HOME%\bin\
ant -Dtomcat.home=%TOMCAT_HOME% -Dconsus.home=%CONSUS_HOME% %*
goto end

:noant
echo Please set variable ANT_HOME to point to Ant 1.3
goto end

:notomcat
echo Please set variable TOMCAT_HOME to point to Tomcat
goto end

:noconsus
echo Please set variable CONSUS_HOME to point to Consus installation
goto end

:end
endlocal
pause
