import org.garret.consus.*;
import java.sql.*;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import java.util.Hashtable;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Bug extends Persistent implements Printable {
    String sOneLineSummary;
    String sHardwarePlatform;
    String sOperatingSystem;
    int eCategory;
    int eFixingPriority;
    int eSeverity;
    int nReports;
    Person pReportedBy;
    Person pAssignedTo;
    Software pSoftware;
    Version pVersion;
    Report pReportHistory;
    Report pWorkArounds;
    Bug setSimilarBugs[];

    public void print(HttpConnection con) throws IOException {
        con.print("<OPTION VALUE=" + getOid() + ">" + BugDB.encodeHTML(sOneLineSummary) + "</OPTION>");
    }
}
