@echo off
setlocal

IF %JHTTPSERVER_HOME%!==! SET JHTTPSERVER_HOME=\JHttpServer
set SEVLET_JAR=%JHTTPSERVER_HOME%\lib\servlet.jar
IF EXIST %SEVLET_JAR% goto servletok

IF %TOMCAT_HOME%!==! SET TOMCAT_HOME=..\..\jakarta-tomcat
set SEVLET_JAR=%TOMCAT_HOME%\common\lib\servlet.jar
IF EXIST %SEVLET_JAR% goto servletok

set SEVLET_JAR=%TOMCAT_HOME%\lib\servlet.jar
IF NOT EXIST %SEVLET_JAR% goto noservlet

:servletok

IF %CONSUS_HOME%!==! SET CONSUS_HOME=..\..
IF NOT EXIST %CONSUS_HOME%\lib\consus.jar goto noconsus

set _CLASSPATH=%CLASSPATH%
set CLASSPATH=%CLASSPATH%;%SEVLET_JAR%;%CONSUS_HOME%\lib\consus.jar

mkdir classes
javac -g -d classes src\*.java

set CLASSPATH=%_CLASSPATH%
goto end

:noservlet
echo Please set variable JHTTPSERVER_HOME or TOMCAT_HOME to get provide servlet.jar
goto end

:noconsus
echo Please set variable CONSUS_HOME to point to Consus installation
goto end

:end
endlocal
pause
