/* Consus - Pure Java Object Relational Database Management System
 * Exception is thrown when the IO operation with a database file has failed
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Exception is thrown when the IO operation with a database file has failed
 */
public class ConsusIOError extends java.sql.SQLException { 
    /**
     * IO exception constructor
     * @param msg message text
     */
    public ConsusIOError(String msg) {
        super(msg);
    } 
}
