/* Consus - Pure Java Object Relational Database Management System
 * Exception thrown when the cursor opened, uses a select statement without "for update" clause
 * for an update, insert or delete operation
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Exception thrown when the cursor opened, uses a select statement without "for update" clause
 * for an update, insert or delete operation
 */
public class ConsusNotInUpdateModeError extends java.sql.SQLException { 
    /**
     * Default constructor
     */
    public ConsusNotInUpdateModeError() { 
	super("Result set was not opened in update mode");
    }
}
