/* Consus - Pure Java Object Relational Database Management System
 * Exception thrown when more than one record is selected in a context where one object is expected
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.consus;

/**
 * Exception thrown by Consus when more than one record is selected in a context
 * where one object is expected.
 */
public class ConsusNotSingleException extends java.sql.SQLException { 
    /**
     * Exception constructor.
     * @param msg message text
     */
    public ConsusNotSingleException(String msg) { 
	super(msg);
    }
    
    /**
     * Exception constructor.
     */
    public ConsusNotSingleException() { 
	super("multiple value is not expected in this context");
    }
}

