/* Consus - Pure Java Object Relational Database Management System
 * Consus object factory for data sources.
 * Created by Konstantin Knizhnik, Mar 2001.
 */
package org.garret.consusx;

import java.util.*;
import javax.naming.*;
import javax.naming.spi.*;

public class ConsusObjectFactory implements ObjectFactory { 
    public Object getObjectInstance(Object refObj,
				    Name name,
				    Context nameCtx,
				    Hashtable env)
	throws Exception 
    {
	if (refObj instanceof Reference) { 
	    Reference ref = (Reference)refObj;
	    String refName = ref.getClassName();
	    System.out.println("refName=" + refName);
	    if (refName.equals("org.garret.consusx.ObjectFactory")) {
		ConsusDataSource sds = new ConsusDataSource();
		sds.setDatabaseName((String)ref.get("databaseName").
				    getContent());
		return sds;
	    }
	}
	return null;
    }
}   
