/* Consus - Pure Java Object Relational Database Management System
 * Node for CREATE DOMAIN statement
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;
    
class CreateDomainNode extends StmtNode { 
    FieldDescriptor domain;

    int executeStmt(ConsusStatement stmt) { 
	Compiler.domainHash.put(domain.name, domain);
	return 0;
    }
    
    CreateDomainNode(FieldDescriptor domain) { 
	super(tpVoid, opCreateDomain); 
	this.domain = domain;
    }
}
