/* Consus - Pure Java Object Relational Database Management System
 * Node for DROP INDEX statement
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;
    

class DropIndexNode extends StmtNode { 
    TableDescriptor table;
    FieldDescriptor field;

    int executeStmt(ConsusStatement stmt) throws SQLException { 
	stmt.db.dropIndex(field);
	stmt.db.endStatement();
	return 0;
    }

    DropIndexNode(TableDescriptor desc, FieldDescriptor fd) { 
	super(tpVoid, opDropIndex);
	table = desc;
	field = fd;
    }
}
