/* Consus - Pure Java Object Relational Database Management System
 * Free variable of EXISTS x: constuction
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;

class IndexNode extends ExprNode {
    int loopId;
    
    String dump() { 
	return "(" + opMnem[tag] + " " + loopId + ")";
    }
    long evaluateInt(ConsusStatement stmt) throws SQLException { 
	return stmt.indexVar[loopId];
    }
    
    IndexNode(int loop) { 
	super(tpInt, opIndexVar);
	loopId = loop;
    }
}

