/* Consus - Pure Java Object Relational Database Management System
 * Node for ROLLBACK statement
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;
    

class RollbackNode extends StmtNode { 
    int executeStmt(ConsusStatement stmt) throws SQLException { 
	stmt.db.rollback();
	return 0;
    }
    RollbackNode() { 
	super(tpVoid, opRollback);
    }
}
