/* Consus - Pure Java Object Relational Database Management System
 * Node for string literal
 * Created by Konstantin Knizhnik, Feb 2000.
 */
package org.garret.internal.consus;
import org.garret.consus.*;

import  java.sql.SQLException;


class StrLiteralNode extends ExprNode { 
    String value;
    
    String dump() { 
	return "'" + value + "'";
    }
    boolean equalsNode(ExprNode node) { 
	return (node instanceof StrLiteralNode) && ((StrLiteralNode)node).equals(value);
    }

    String evaluateStr(ConsusStatement stmt) throws SQLException { 
	return value;
    }
    
    StrLiteralNode(String value) { 
	super(tpStr, opStrConst);
	this.value = value;
    }
}

