package java.lang.ref;
public class WeakReference {
    Object ref;

    /**
     * Creates a new weak reference that refers to the given object.  The new
     * reference is not registered with any queue.
     */
    public WeakReference(Object referent) {
	ref = referent;
    }
    public Object get() { 
	return ref;
    }
}
